Package net.shibboleth.shared.security.impl

# Class BasicKeystoreKeyStrategyTool.CommandLineArgs

java.lang.Object
net.shibboleth.shared.security.impl.BasicKeystoreKeyStrategyTool.CommandLineArgs

Enclosing class:
  BasicKeystoreKeyStrategyTool

private static class BasicKeystoreKeyStrategyTool.CommandLineArgs extends Object
Manages command line parsing for application and the bean properties used by the tool.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`help`
Display command usage.
`static final String`
`HELP`
Display command usage.
`static final String`
`KEY_ALIAS`
Key alias base.
`static final String`
`KEY_COUNT`
Number of keys to maintain.
`static final String`
`KEY_SIZE`
Key size.
`static final String`
`KEY_TYPE`
Key algorithm.
`private String`
`keyAlias`
Key alias base.
`private int`
`keyCount`
Key count.
`private int`
`keySize`
Key size.
`private File`
`keystoreFile`
Keystore file.
`private String`
`keystorePassword`
Keystore password.
`private String`
`keystoreType`
Keystore type.
`private String`
`keyType`
Key algorithm.
`static final String`
`STORE_FILE`
Path to keystore to create.
`static final String`
`STORE_PASS`
Keystore password.
`static final String`
`STORE_TYPE`
Type of keystore to create.
`static final String`
`VERSION_FILE`
Path to key versioning file.
`private File`
`versionFile`
Key versioning file.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CommandLineArgs()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HELP

@Nonnull @NotEmpty public static final String HELP
Display command usage.

See Also:
  - Constant Field Values

### KEY_TYPE

@Nonnull @NotEmpty public static final String KEY_TYPE
Key algorithm.

See Also:
  - Constant Field Values

### KEY_SIZE

@Nonnull @NotEmpty public static final String KEY_SIZE
Key size.

See Also:
  - Constant Field Values

### KEY_ALIAS

@Nonnull @NotEmpty public static final String KEY_ALIAS
Key alias base.

See Also:
  - Constant Field Values

### KEY_COUNT

@Nonnull @NotEmpty public static final String KEY_COUNT
Number of keys to maintain.

See Also:
  - Constant Field Values

### STORE_TYPE

@Nonnull @NotEmpty public static final String STORE_TYPE
Type of keystore to create.

See Also:
  - Constant Field Values

### STORE_FILE

@Nonnull @NotEmpty public static final String STORE_FILE
Path to keystore to create.

See Also:
  - Constant Field Values

### STORE_PASS

@Nonnull @NotEmpty public static final String STORE_PASS
Keystore password.

See Also:
  - Constant Field Values

### VERSION_FILE

@Nonnull @NotEmpty public static final String VERSION_FILE
Path to key versioning file.

See Also:
  - Constant Field Values

### help

private boolean help
Display command usage.

### keyType

@Nonnull @NotEmpty private String keyType
Key algorithm.

### keySize

@Positive private int keySize
Key size.

### keyAlias

@Nullable private String keyAlias
Key alias base.

### keyCount

@Positive private int keyCount
Key count.

### keystoreType

@Nonnull @NotEmpty private String keystoreType
Keystore type.

### keystoreFile

@Nullable private File keystoreFile
Keystore file.

### keystorePassword

@Nullable private String keystorePassword
Keystore password.

### versionFile

@Nullable private File versionFile
Key versioning file.

## Constructor Details

### CommandLineArgs

private CommandLineArgs()